## libabz 0.4.5

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = man src tests

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	rm -f {configure,build}-stamp
	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	rm -rf debian/{libabz0-dev,libabz0,tmp}
	find . -name "*~" -exec rm -f {} \;
	find . -name ".index" -exec rm -f {} \;

install::
	$(INSTALL) -d $(libdir)
	for F in $(shell find include/abz -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done

uninstall::
	rm -rf $(includedir)/abz

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

MAN = aton.3abz atou8.3abz atou16.3abz atou32.3abz atou64.3abz	\
	abz_set_error.3abz bcat.3abz bprintf.3abz getline.3abz		\
	trim.3abz alive.3abz mkdirhier.3abz rmdirhier.3abz			\
	tmp_name.3abz getfile.3abz putfile.3abz contigmask.3abz		\
	sanitize.3abz tokens_parse.3abz pidfile.3abz atos.3abz		\
	atop.3abz atoa.3abz

MAN_LNK = vbprintf.3abz.gz tmp_open.3abz.gz tmp_close.3abz.gz	\
	ltrim.3abz.gz rtrim.3abz.gz abz_cat_error.3abz.gz			\
	abz_clear_error.3abz.gz abz_get_error.3abz.gz				\
	tokens_destroy.3abz

install::
	$(INSTALL) -d $(mandir)/man3
	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man3 && gzip -9 $(mandir)/man3/$$F; done
	ln -sf bprintf.3abz.gz $(mandir)/man3/vbprintf.3abz.gz
	ln -sf tmp_name.3abz.gz $(mandir)/man3/tmp_open.3abz.gz
	ln -sf tmp_name.3abz.gz $(mandir)/man3/tmp_close.3abz.gz
	ln -sf trim.3abz.gz $(mandir)/man3/ltrim.3abz.gz
	ln -sf trim.3abz.gz $(mandir)/man3/rtrim.3abz.gz
	ln -sf abz_set_error.3abz.gz $(mandir)/man3/abz_cat_error.3abz.gz
	ln -sf abz_set_error.3abz.gz $(mandir)/man3/abz_get_error.3abz.gz
	ln -sf abz_set_error.3abz.gz $(mandir)/man3/abz_clear_error.3abz.gz
	ln -sf tokens_parse.3abz.gz $(mandir)/man3/tokens_destroy.3abz.gz

uninstall::
	set -e; for F in $(MAN_LNK) $(MAN); do rm -f $(mandir)/man3/$$F; done

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDLIBS = -ldebug

# path to toplevel directory from here
TOPDIR = ..

# version
MAJOR := $(shell pwd | sed 's|^.*/libabz-\(.*\)/src$$|\1|g' | cut -f1 -d.)
MINOR := $(shell pwd | sed 's|^.*/libabz-\(.*\)/src$$|\1|g' | cut -f2 -d.)
PATCH := $(shell pwd | sed 's|^.*/libabz-\(.*\)/src$$|\1|g' | cut -f3 -d.)

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = aton.o atou16.o atou32.o atou8.o	\
	bcat.o bprintf.o contigmask.o		\
	getline.o mkdirhier.o rmdirhier.o	\
	tmp.o trim.o getfile.o putfile.o	\
	alive.o error.o atou64.o sanitize.o	\
	tokens.o pidfile.o atos.o atop.o	\
	atoa.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = libabz.so.$(MAJOR).$(MINOR).$(PATCH)

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)
	$(INSTALL) -c -m 0644 $(LIB) $(libdir)
	$(INSTALL) -c -m 0644 $(LIB_A) $(libdir)
	ln -sf $(LIB) $(libdir)/$(LIB_MAJOR)
	ln -sf $(LIB_MAJOR) $(libdir)/$(LIB_SO)

uninstall::
	rm -f $(DESTDIR)/$(libdir)/{$(LIB),$(LIB_A),$(LIB_SO),$(LIB_MAJOR)}

=== tests/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

CPPFLAGS = -I../include
LDFLAGS = -L../src -static
LDLIBS = -labz -ldebug

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

TEST = test_aton test_atou test_bcat	\
	test_bprintf test_mask test_line	\
	test_mkdirhier test_rmdirhier		\
	test_tmp test_trim test_file		\
	test_alive test_error test_parse	\
	test_pidfile test_atos test_atop	\
	test_atoa

all:: $(TEST)

test_aton: test_aton.o
test_atou: test_atou.o
test_bcat: test_bcat.o
test_bprintf: test_bprintf.o
test_mask: test_mask.o
test_line: test_line.o
test_mkdirhier: test_mkdirhier.o
test_rmdirhier: test_rmdirhier.o
test_tmp: test_tmp.o
test_trim: test_trim.o
test_file: test_file.o
test_alive: test_alive.o
test_error: test_error.o
test_parse: test_parse.o
test_pidfile: test_pidfile.o
test_atos: test_atos.o
test_atop: test_atop.o
test_atoa: test_atoa.o

clean::
	rm -f $(TEST) $(addsuffix .o,$(TEST))

=== debian/changelog ===
libabz (0.4.5) unstable; urgency=low

  * Link libabz to libdebug (Closes: #235061)
  * Updated debian policy version.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 28 Feb 2004 15:56:07 +0200

libabz (0.4.4) unstable; urgency=low

  * Added malloc attributes.
  * Removed attribute definitions from abz/typedefs.h.
  * Minor bugfixes.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 26 Oct 2003 15:51:04 +0200

libabz (0.4.3) unstable; urgency=low

  * Changed atop(), atoa(), atos(), and aton() to return data in network
    byte order.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 18 Oct 2003 01:12:24 +0200

libabz (0.4.2) unstable; urgency=low

  * Added abz/typedefs.h.

 -- Abraham vd Merwe <abz@debian.org>  Fri, 17 Oct 2003 12:37:48 +0200

libabz (0.4.1) unstable; urgency=low

  * Added atop(), atoa(), atos().
  * Changed aton() to set network structure in host byte order.

 -- Abraham vd Merwe <abz@debian.org>  Fri, 17 Oct 2003 12:11:54 +0200

libabz (0.3.1) unstable; urgency=low

  * Added pidfile().
  * Removed unnecessary stub arguments from putfile() function.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 12 Oct 2003 15:26:03 +0200

libabz (0.2.3) unstable; urgency=low

  * Fixed tokens_destroy man page.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 20:35:49 +0200

libabz (0.2.2) unstable; urgency=low

  * Removed references to abz/compat/inttypes.h (Closes: #214284, #214291)
  * Updated dependencies.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 18:56:07 +0200

libabz (0.2.1) unstable; urgency=low

  * Added sanitize().
  * Added tokens_{parse,destroy} functions.
  * Removed multiline string test in test_error.c (Closes: #199065).

 -- Abraham vd Merwe <abz@debian.org>  Wed,  1 Oct 2003 22:35:15 +0200

libabz (0.1.3) unstable; urgency=low

  * Changed libabz0-dev section.
  * Removed multiline string test in test_bprintf.c (Closes: #197758).

 -- Abraham vd Merwe <abz@debian.org>  Sun, 22 Jun 2003 13:23:54 +0200

libabz (0.1.2) unstable; urgency=low

  * Introduced atou_base variable to change default behaviour of
    atouXX() functions.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 19 Jan 2003 19:24:45 +0200

libabz (0.1.1) unstable; urgency=low

  * Added the abz_{set,cat,clear}_error() functions.
  * Added atou64().
  * Got rid of C library strtoXX functions.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 24 Dec 2002 13:52:01 +0200

libabz (0.0.5) unstable; urgency=low

  * Added abz suffix to manpages (Closes: #172768).

 -- Abraham vd Merwe <abz@debian.org>  Fri, 13 Dec 2002 18:00:17 +0200

libabz (0.0.4) unstable; urgency=low

  * Updated the version (I screwed it up in 0.0.3).

 -- Abraham vd Merwe <abz@debian.org>  Sat, 30 Nov 2002 20:11:03 +0200

libabz (0.0.3) unstable; urgency=low

  * Don't build shlibs with non-PIC code (Closes: #170104).

 -- Abraham vd Merwe <abz@debian.org>  Sat, 30 Nov 2002 19:54:58 +0200

libabz (0.0.2) unstable; urgency=low

  * Added a build dependency for libdebug0-dev (Closes: #170053).

 -- Abraham vd Merwe <abz@debian.org>  Thu, 21 Nov 2002 23:53:17 +0200

libabz (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 17 Nov 2002 19:22:29 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libabz
Section: devel
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2)
Standards-Version: 3.5.10

Package: libabz0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Miscellaneous useful routines
 This library contains various routines needed by many of the
 authors other programs.
 .
 Some of the routines can be used to concatenate strings, print
 them, trim whitespace from them, read lines from files, create
 and remove directory hierarchies and so forth.
 .
 This package contains files needed by programs linked against
 this library.

Package: libabz0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libabz0 (>= 0.4.4), libdebug0 (>= 0.3.2), libdebug0-dev (>= 0.3.2)
Description: Development files for the abz library
 This library contains various routines needed by many of the
 authors other programs.
 .
 Some of the routines can be used to concatenate strings, print
 them, trim whitespace from them, read lines from files, create
 and remove directory hierarchies and so forth.
 .
 This package contains files needed if you wish to use libabz
 in your own programs.

## libabz 0.4.6

=== debian/changelog ===
libabz (0.4.6) unstable; urgency=low

  * Set sin_family in atos().
  * Fixed HIPQUAD macro on big endian machines.
  * Updated debian policy version.
  * Fixed man page sections.

 -- Abraham vd Merwe <abz@debian.org>  Thu, 19 Aug 2004 20:08:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
-Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2)
-Standards-Version: 3.5.10
+Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.4.1)
+Standards-Version: 3.6.1
 
 Package: libabz0
 Architecture: any
@@ -23,7 +23,7 @@
 Package: libabz0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libabz0 (>= 0.4.4), libdebug0 (>= 0.3.2), libdebug0-dev (>= 0.3.2)
+Depends: ${shlibs:Depends}, libabz0 (>= 0.4.6), libdebug0 (>= 0.4.1), libdebug0-dev (>= 0.4.1)
 Description: Development files for the abz library
  This library contains various routines needed by many of the
  authors other programs.

## libabz 0.5.1

=== Makefile ===
--- 
+++ 
@@ -54,16 +54,16 @@
 	dpkg-buildpackage -rfakeroot -k2B555AEE
 
 distclean::
-	rm -f {configure,build}-stamp
-	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
-	rm -rf debian/{libabz0-dev,libabz0,tmp}
-	find . -name "*~" -exec rm -f {} \;
-	find . -name ".index" -exec rm -f {} \;
+	$(RM) {configure,build}-stamp
+	$(RM) debian/*.{debhelper,substvars} debian/{substvars,files,*~}
+	$(RM) -r debian/{libabz0-dev,libabz0,tmp}
+	find . -name "*~" -exec $(RM) {} \;
+	find . -name ".index" -exec $(RM) {} \;
 
 install::
 	$(INSTALL) -d $(libdir)
 	for F in $(shell find include/abz -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done
 
 uninstall::
-	rm -rf $(includedir)/abz
+	$(RM) -r $(includedir)/abz

=== man/Makefile ===
--- 
+++ 
@@ -53,26 +53,42 @@
 	trim.3abz alive.3abz mkdirhier.3abz rmdirhier.3abz			\
 	tmp_name.3abz getfile.3abz putfile.3abz contigmask.3abz		\
 	sanitize.3abz tokens_parse.3abz pidfile.3abz atos.3abz		\
-	atop.3abz atoa.3abz
+	atop.3abz atoa.3abz list.3abz run.3abz stream_open.3abz		\
+	unblock.3abz
+
+LIST = LIST_HEAD_INIT.3abz.gz LIST_HEAD.3abz.gz					\
+	INIT_LIST_HEAD.3abz.gz list_add.3abz.gz						\
+	list_add_tail.3abz.gz list_del.3abz.gz						\
+	list_del_init.3abz.gz list_empty.3abz.gz					\
+	list_join.3abz.gz list_sort.3abz.gz list_entry.3abz.gz	\
+	list_for_each.3abz.gz list_for_each_prev.3abz.gz
+
+STREAM = stream_read.3abz.gz stream_getline.3abz.gz				\
+	stream_write.3abz.gz stream_close.3abz.gz
 
 MAN_LNK = vbprintf.3abz.gz tmp_open.3abz.gz tmp_close.3abz.gz	\
 	ltrim.3abz.gz rtrim.3abz.gz abz_cat_error.3abz.gz			\
 	abz_clear_error.3abz.gz abz_get_error.3abz.gz				\
-	tokens_destroy.3abz
+	tokens_destroy.3abz $(LIST) vrun.3abz.gz $(STREAM)			\
+	block.3abz.gz
 
 install::
 	$(INSTALL) -d $(mandir)/man3
 	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man3 && gzip -9 $(mandir)/man3/$$F; done
-	ln -sf bprintf.3abz.gz $(mandir)/man3/vbprintf.3abz.gz
-	ln -sf tmp_name.3abz.gz $(mandir)/man3/tmp_open.3abz.gz
-	ln -sf tmp_name.3abz.gz $(mandir)/man3/tmp_close.3abz.gz
-	ln -sf trim.3abz.gz $(mandir)/man3/ltrim.3abz.gz
-	ln -sf trim.3abz.gz $(mandir)/man3/rtrim.3abz.gz
-	ln -sf abz_set_error.3abz.gz $(mandir)/man3/abz_cat_error.3abz.gz
-	ln -sf abz_set_error.3abz.gz $(mandir)/man3/abz_get_error.3abz.gz
-	ln -sf abz_set_error.3abz.gz $(mandir)/man3/abz_clear_error.3abz.gz
-	ln -sf tokens_parse.3abz.gz $(mandir)/man3/tokens_destroy.3abz.gz
+	$(LN) bprintf.3abz.gz $(mandir)/man3/vbprintf.3abz.gz
+	$(LN) tmp_name.3abz.gz $(mandir)/man3/tmp_open.3abz.gz
+	$(LN) tmp_name.3abz.gz $(mandir)/man3/tmp_close.3abz.gz
+	$(LN) trim.3abz.gz $(mandir)/man3/ltrim.3abz.gz
+	$(LN) trim.3abz.gz $(mandir)/man3/rtrim.3abz.gz
+	$(LN) abz_set_error.3abz.gz $(mandir)/man3/abz_cat_error.3abz.gz
+	$(LN) abz_set_error.3abz.gz $(mandir)/man3/abz_get_error.3abz.gz
+	$(LN) abz_set_error.3abz.gz $(mandir)/man3/abz_clear_error.3abz.gz
+	$(LN) tokens_parse.3abz.gz $(mandir)/man3/tokens_destroy.3abz.gz
+	set -e; for F in $(LIST); do $(LN) list.3abz.gz $(mandir)/man3/$$F; done
+	$(LN) run.3abz.gz $(mandir)/man3/vrun.3abz.gz
+	set -e; for F in $(STREAM); do $(LN) stream_open.3abz.gz $(mandir)/man3/$$F; done
+	$(LN) unblock.3abz.gz $(mandir)/man3/block.3abz.gz
 
 uninstall::
-	set -e; for F in $(MAN_LNK) $(MAN); do rm -f $(mandir)/man3/$$F; done
+	set -e; for F in $(MAN_LNK) $(MAN); do $(RM) $(mandir)/man3/$$F; done

=== src/Makefile ===
--- 
+++ 
@@ -48,7 +48,8 @@
 	tmp.o trim.o getfile.o putfile.o	\
 	alive.o error.o atou64.o sanitize.o	\
 	tokens.o pidfile.o atos.o atop.o	\
-	atoa.o
+	atoa.o list.o run.o stream.o		\
+	unblock.o
 
 # program name (leave as is if there is no program)
 PRG =
@@ -65,9 +66,9 @@
 	$(INSTALL) -d $(libdir)
 	$(INSTALL) -c -m 0644 $(LIB) $(libdir)
 	$(INSTALL) -c -m 0644 $(LIB_A) $(libdir)
-	ln -sf $(LIB) $(libdir)/$(LIB_MAJOR)
-	ln -sf $(LIB_MAJOR) $(libdir)/$(LIB_SO)
+	$(LN) $(LIB) $(libdir)/$(LIB_MAJOR)
+	$(LN) $(LIB_MAJOR) $(libdir)/$(LIB_SO)
 
 uninstall::
-	rm -f $(DESTDIR)/$(libdir)/{$(LIB),$(LIB_A),$(LIB_SO),$(LIB_MAJOR)}
+	$(RM) $(DESTDIR)/$(libdir)/{$(LIB),$(LIB_A),$(LIB_SO),$(LIB_MAJOR)}

=== tests/Makefile ===
--- 
+++ 
@@ -58,7 +58,8 @@
 	test_tmp test_trim test_file		\
 	test_alive test_error test_parse	\
 	test_pidfile test_atos test_atop	\
-	test_atoa
+	test_atoa test_run test_list		\
+	test_stream test_unblock
 
 all:: $(TEST)
 
@@ -80,7 +81,11 @@
 test_atos: test_atos.o
 test_atop: test_atop.o
 test_atoa: test_atoa.o
+test_run: test_run.o
+test_list: test_list.o
+test_stream: test_stream.o
+test_unblock: test_unblock.o
 
 clean::
-	rm -f $(TEST) $(addsuffix .o,$(TEST))
+	$(RM) $(TEST) $(addsuffix .o,$(TEST)) test_stream.txt test_unblock.fifo

=== debian/changelog ===
libabz (0.5.1) unstable; urgency=low

  * Added linked list routines.
  * Added run(), block(), unblock().
  * Added stream (i.e. caching) functions.

 -- Abraham vd Merwe <abz@debian.org>  Wed,  2 Mar 2005 18:16:40 +0200

libabz (0.4.7) unstable; urgency=low

  * Fixed typo in contigmask man page.
  * Fixed typo in putfile man page.

 -- Abraham vd Merwe <abz@debian.org>  Thu, 19 Aug 2004 20:08:12 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Package: libabz0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libabz0 (>= 0.4.6), libdebug0 (>= 0.4.1), libdebug0-dev (>= 0.4.1)
+Depends: ${shlibs:Depends}, libabz0 (= ${Source-Version}), libdebug0 (>= 0.4.1), libdebug0-dev (>= 0.4.1)
 Description: Development files for the abz library
  This library contains various routines needed by many of the
  authors other programs.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean
	rm -f {,$(CURDIR)/debian/}{build,configure}-stamp
	rm -rf $(CURDIR)/debian/{libabz-dev,libabz,tmp}

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## libabz 0.6.2

=== debian/changelog ===
libabz (0.6.2) unstable; urgency=low

  * Exclude current process in alive().
  * Moved aliases to batch.c (Closes: #327610)

 -- Abraham vd Merwe <abz@debian.org>  Mon, 24 Oct 2005 00:53:54 +0200

libabz (0.6.1) unstable; urgency=low

  * Added batch funtions.
  * Added iptables, tc batch functions.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 10 Sep 2005 20:14:13 +0200

## libabz 0.6.3

=== man/Makefile ===
--- 
+++ 
@@ -54,23 +54,33 @@
 	tmp_name.3abz getfile.3abz putfile.3abz contigmask.3abz		\
 	sanitize.3abz tokens_parse.3abz pidfile.3abz atos.3abz		\
 	atop.3abz atoa.3abz list.3abz run.3abz stream_open.3abz		\
-	unblock.3abz
+	unblock.3abz batch_create.3abz iptables_create.3abz			\
+	tc_create.3abz
 
 LIST = LIST_HEAD_INIT.3abz.gz LIST_HEAD.3abz.gz					\
 	INIT_LIST_HEAD.3abz.gz list_add.3abz.gz						\
 	list_add_tail.3abz.gz list_del.3abz.gz						\
 	list_del_init.3abz.gz list_empty.3abz.gz					\
-	list_join.3abz.gz list_sort.3abz.gz list_entry.3abz.gz	\
+	list_join.3abz.gz list_sort.3abz.gz list_entry.3abz.gz		\
 	list_for_each.3abz.gz list_for_each_prev.3abz.gz
 
 STREAM = stream_read.3abz.gz stream_getline.3abz.gz				\
 	stream_write.3abz.gz stream_close.3abz.gz
 
+BATCH = batch_add.3abz.gz batch_append.3abz.gz					\
+	batch_destroy.3abz.gz batch_commit.3abz.gz
+
+IPTABLES = iptables_add.3abz.gz iptables_append.3abz.gz			\
+	iptables_destroy.3abz.gz iptables_commit.3abz.gz
+
+TC = tc_add.3abz.gz tc_append.3abz.gz tc_destroy.3abz.gz		\
+	tc_commit.3abz.gz
+
 MAN_LNK = vbprintf.3abz.gz tmp_open.3abz.gz tmp_close.3abz.gz	\
 	ltrim.3abz.gz rtrim.3abz.gz abz_cat_error.3abz.gz			\
 	abz_clear_error.3abz.gz abz_get_error.3abz.gz				\
 	tokens_destroy.3abz $(LIST) vrun.3abz.gz $(STREAM)			\
-	block.3abz.gz
+	block.3abz.gz $(BATCH) $(IPTABLES) $(TC)
 
 install::
 	$(INSTALL) -d $(mandir)/man3
@@ -88,6 +98,9 @@
 	$(LN) run.3abz.gz $(mandir)/man3/vrun.3abz.gz
 	set -e; for F in $(STREAM); do $(LN) stream_open.3abz.gz $(mandir)/man3/$$F; done
 	$(LN) unblock.3abz.gz $(mandir)/man3/block.3abz.gz
+	set -e; for F in $(BATCH); do $(LN) batch_create.3abz.gz $(mandir)/man3/$$F; done
+	set -e; for F in $(IPTABLES); do $(LN) iptables_create.3abz.gz $(mandir)/man3/$$F; done
+	set -e; for F in $(TC); do $(LN) tc_create.3abz.gz $(mandir)/man3/$$F; done
 
 uninstall::
 	set -e; for F in $(MAN_LNK) $(MAN); do $(RM) $(mandir)/man3/$$F; done

=== src/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	alive.o error.o atou64.o sanitize.o	\
 	tokens.o pidfile.o atos.o atop.o	\
 	atoa.o list.o run.o stream.o		\
-	unblock.o
+	unblock.o batch.o iptables.o tc.o
 
 # program name (leave as is if there is no program)
 PRG =

=== tests/Makefile ===
--- 
+++ 
@@ -59,7 +59,8 @@
 	test_alive test_error test_parse	\
 	test_pidfile test_atos test_atop	\
 	test_atoa test_run test_list		\
-	test_stream test_unblock
+	test_stream test_unblock test_tc	\
+	test_iptables
 
 all:: $(TEST)
 
@@ -85,6 +86,8 @@
 test_list: test_list.o
 test_stream: test_stream.o
 test_unblock: test_unblock.o
+test_tc: test_tc.o
+test_iptables: test_iptables.o
 
 clean::
 	$(RM) $(TEST) $(addsuffix .o,$(TEST)) test_stream.txt test_unblock.fifo

=== debian/changelog ===
libabz (0.6.3) unstable; urgency=low

  * Use correct headers in atos.h (Closes: #378195)
  * Use bash in Makefile (Closes: #370700)
  * Don't clear errors in library functions.

 -- Abraham vd Merwe <abz@debian.org>  Thu,  3 Aug 2006 09:50:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}
+Recommends: iptables, iproute
 Description: Miscellaneous useful routines
  This library contains various routines needed by many of the
  authors other programs.
@@ -19,6 +20,10 @@
  .
  This package contains files needed by programs linked against
  this library.
+ .
+ Certain functions (i.e. the iptables_* and tc_* functions
+ are only usable if the recommended packages (iptables, iproute)
+ is installed.
 
 Package: libabz0-dev
 Architecture: any

## libabz 0.7.2

=== man/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	sanitize.3abz tokens_parse.3abz pidfile.3abz atos.3abz		\
 	atop.3abz atoa.3abz list.3abz run.3abz stream_open.3abz		\
 	unblock.3abz batch_create.3abz iptables_create.3abz			\
-	tc_create.3abz
+	tc_create.3abz strtoargv.3abz
 
 LIST = LIST_HEAD_INIT.3abz.gz LIST_HEAD.3abz.gz					\
 	INIT_LIST_HEAD.3abz.gz list_add.3abz.gz						\
@@ -76,11 +76,14 @@
 TC = tc_add.3abz.gz tc_append.3abz.gz tc_destroy.3abz.gz		\
 	tc_commit.3abz.gz
 
+ARGV = vtoargv.3abz.gz toargv.3abz.gz freeargv.3abz.gz			\
+	argvtostr.3abz.gz
+
 MAN_LNK = vbprintf.3abz.gz tmp_open.3abz.gz tmp_close.3abz.gz	\
 	ltrim.3abz.gz rtrim.3abz.gz abz_cat_error.3abz.gz			\
 	abz_clear_error.3abz.gz abz_get_error.3abz.gz				\
 	tokens_destroy.3abz $(LIST) vrun.3abz.gz $(STREAM)			\
-	block.3abz.gz $(BATCH) $(IPTABLES) $(TC)
+	block.3abz.gz $(BATCH) $(IPTABLES) $(TC) $(ARGV)
 
 install::
 	$(INSTALL) -d $(mandir)/man3
@@ -101,6 +104,7 @@
 	set -e; for F in $(BATCH); do $(LN) batch_create.3abz.gz $(mandir)/man3/$$F; done
 	set -e; for F in $(IPTABLES); do $(LN) iptables_create.3abz.gz $(mandir)/man3/$$F; done
 	set -e; for F in $(TC); do $(LN) tc_create.3abz.gz $(mandir)/man3/$$F; done
+	set -e; for F in $(ARGV); do $(LN) strtoargv.3abz.gz $(mandir)/man3/$$F; done
 
 uninstall::
 	set -e; for F in $(MAN_LNK) $(MAN); do $(RM) $(mandir)/man3/$$F; done

=== src/Makefile ===
--- 
+++ 
@@ -49,7 +49,8 @@
 	alive.o error.o atou64.o sanitize.o	\
 	tokens.o pidfile.o atos.o atop.o	\
 	atoa.o list.o run.o stream.o		\
-	unblock.o batch.o iptables.o tc.o
+	unblock.o batch.o iptables.o tc.o	\
+	argv.o
 
 # program name (leave as is if there is no program)
 PRG =

=== tests/Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	test_pidfile test_atos test_atop	\
 	test_atoa test_run test_list		\
 	test_stream test_unblock test_tc	\
-	test_iptables
+	test_iptables test_argv
 
 all:: $(TEST)
 
@@ -88,6 +88,7 @@
 test_unblock: test_unblock.o
 test_tc: test_tc.o
 test_iptables: test_iptables.o
+test_argv: test_argv.o
 
 clean::
 	$(RM) $(TEST) $(addsuffix .o,$(TEST)) test_stream.txt test_unblock.fifo

=== debian/changelog ===
libabz (0.7.2) unstable; urgency=low

  * Fixed strtoargv() parser.

 -- Abraham vd Merwe <abz@debian.org>  Fri, 23 Mar 2007 23:35:42 +0200

libabz (0.7.1) unstable; urgency=low

  * Added runv().
  * Added strtoargv(), vtoargv(), toargv(), freeargv(), argvtostr().

 -- Abraham vd Merwe <abz@debian.org>  Wed, 21 Mar 2007 18:05:54 +0200
